Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.config
Class RuntimeConfig

    java.lang.Object
      org.apache.myfaces.config.RuntimeConfig

public class RuntimeConfig
extends java.lang.Object

Holds all configuration information (from the faces-config xml files) that is needed later during runtime. The config information in this class is only available to the MyFaces core implementation classes (i.e. the myfaces source tree). See MyfacesConfig for config parameters that can be used for shared or component classes.

Version:
  $Revision: 233472 $ $Date: 2005-08-19 08:40:17 -0400 (Fri, 19 Aug 2005) $
Author:
  Manfred Geiler (latest modification by $Author: mmarinschek $)

Constructor Summary
`RuntimeConfig()`

Method Summary
`void` | `addManagedBean(java.lang.String name, ManagedBean managedBean)`
`void` | `addNavigationRule(NavigationRule navigationRule)`
`static RuntimeConfig` | `getCurrentInstance(javax.faces.context.ExternalContext externalContext)`
`ManagedBean` | `getManagedBean(java.lang.String name)` Return the managed bean info that can be used by the VariableResolver implementation.
`java.util.Collection` | `getNavigationRules()` Return the navigation rules that can be used by the NavigationHandler implementation.
`boolean` | `isNavigationRulesChanged()`
`void` | `setNavigationRulesChanged(boolean navigationRulesChanged)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeConfig

    public RuntimeConfig()

Method Detail

### getCurrentInstance

    public static RuntimeConfig getCurrentInstance(javax.faces.context.ExternalContext externalContext)

### getNavigationRules

    public java.util.Collection getNavigationRules()

  Return the navigation rules that can be used by the NavigationHandler implementation.

  Returns:
    a Collection of `NavigationRule`s

### addNavigationRule

    public void addNavigationRule(NavigationRule navigationRule)

### isNavigationRulesChanged

    public boolean isNavigationRulesChanged()

### setNavigationRulesChanged

    public void setNavigationRulesChanged(boolean navigationRulesChanged)

### getManagedBean

    public ManagedBean getManagedBean(java.lang.String name)

  Return the managed bean info that can be used by the VariableResolver implementation.

  Returns:
    a `ManagedBean`

### addManagedBean

    public void addManagedBean(java.lang.String name,
                               ManagedBean managedBean)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD